org.bdgenomics.adam.models

# VariantContext

###
Related Docs: class VariantContext | package models

#### object VariantContext

Note: VariantContext inherits its name from the Picard VariantContext, and is not related to the SparkContext object. If you're looking for the latter, see org.bdgenomics.adam.rdd.variation.VariationContext

Linear Supertypes
AnyRef, Any
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. VariantContext
2. AnyRef
3. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Value Members

1. #### final def !=(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

3. #### final def ==(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

4. #### def apply(v: Variant, genotypes: Iterable[Genotype], annotation: Option[DatabaseVariantAnnotation] = None): VariantContext

   Constructs an VariantContext from an Variant and Seq[Genotype] and DatabaseVariantAnnotation

   Constructs an VariantContext from an Variant and Seq[Genotype] and DatabaseVariantAnnotation

   v

     Variant which is used to construct the ReferencePosition

   genotypes

     Seq[Genotype]

   annotation

     Option[DatabaseVariantAnnotation]

   returns

     VariantContext corresponding to the Variant

5. #### def apply(v: Variant): VariantContext

   Constructs an VariantContext from an Variant

   Constructs an VariantContext from an Variant

   v

     Variant which is used to construct the ReferencePosition

   returns

     VariantContext corresponding to the Variant

6. #### def apply(kv: (ReferencePosition, Variant, Iterable[Genotype], Option[DatabaseVariantAnnotation])): VariantContext

   Constructs an VariantContext from locus data.

   Constructs an VariantContext from locus data. Used in merger process.

   kv

     Nested tuple containing (locus on reference, (variants at site, genotypes at site, optional domain annotation at site))

   returns

     VariantContext corresponding to the data above.

7. #### def apply(v: VariantContext, optAnn: Option[DatabaseVariantAnnotation]): VariantContext

   Produces a new variant context by merging with an optional annotation.

   Produces a new variant context by merging with an optional annotation.

   If the existing context doesn't have an annotation, pick the new annotation, if present. If both exist, then merge.

   v

     An existing VariantContext to annotate.

   optAnn

     An optional annotation to add.

   returns

     A new VariantContext, where an annotation has been added/merged.

8. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

9. #### def buildFromGenotypes(genotypes: Seq[Genotype]): VariantContext

   Builds a variant context off of a set of genotypes.

   Builds a variant context off of a set of genotypes. Builds variants from the genotypes.

   genotypes

     List of genotypes to build variant context from.

   returns

     A variant context corresponding to the variants and genotypes at this site.

   Note

     Genotypes must be at the same position.

10. #### def clone(): AnyRef

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

11. #### final def eq(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

12. #### def equals(arg0: Any): Boolean

    Definition Classes
      AnyRef → Any

13. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

14. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

15. #### def hashCode(): Int

    Definition Classes
      AnyRef → Any

16. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

17. #### def mergeAnnotations(leftRecord: DatabaseVariantAnnotation, rightRecord: DatabaseVariantAnnotation): DatabaseVariantAnnotation

    Greedily merges two annotation records by filling empty fields.

    Greedily merges two annotation records by filling empty fields.

    Merges two records by taking the union of all fields. If a field is populated in both records, it's value will be taken from the left record.

    leftRecord

      First record to merge. If fields are seen in both records, the value in this record will win.

    rightRecord

      Second record to merge. Used to populate missing fields from the left record.

    returns

      Returns the union of these two annotations.

18. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

19. #### final def notify(): Unit

    Definition Classes
      AnyRef

20. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

21. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

22. #### def toString(): String

    Definition Classes
      AnyRef → Any

23. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

24. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

25. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

### Inherited from AnyRef

### Inherited from Any

### Ungrouped